
int   lineSensScale = 100;
float lineScale = ((float)gridLength/dataPoints);

//rotate the line graphs around, values are in radians
float rotXLine = 0;
float rotYLine = 0;
float rotZLine = 0;
//shift the lines, a value of 0 = starting at (0,0,0)
float shiftXLine = 0;
float shiftYLine = 0;
float shiftZLine = 0;

void drawLineGraph(){

  int x;
  float xx;
  float[] v;

  for (int i = 0; i < dataPoints; i++){
      
      //float xv = (Histo[ (Idx+i)%dataPoints ][0] * lineSensScale);
      //running Index into vals, which is decrementing
      x = (Idx-i)%dataPoints;
      if (x<0) x = dataPoints+x;
      //get [3] vals using index x
      v = Histo[x];
      //and scale xx, the point to draw on the axis
      xx = i*lineScale;

      //start with xHisto[Idx} at 0,0
      //draw x
      //angle = 0: draw into y of screen coords which is up-down
      pg.pushMatrix();
      pg.translate(0, shiftXLine, 0);
      pg.rotateX(rotXLine);
      pg.stroke(XCol);
      pg.fill(XCol);
//      pg.line(0 , xx, 0, v[0]*lineSensScale, xx, 0);
      //shift to right place
      pg.translate(0, xx, 0);
      pg.box(v[0]*lineSensScale * linethick, linethick, linethick);
      pg.popMatrix();
      
      //draw y, y of sensor is line through screen towards you
      //keep in mind that screen's and sensor's y&z axis are switched
      //angle=0: draw into x of screen, which is left-right
      pg.pushMatrix();
      pg.translate(shiftYLine, 0, 0);
      pg.rotateX(rotYLine);
      pg.stroke(ZCol);
      pg.fill(ZCol);
//      pg.line(xx, 0, 0, xx, 0, v[1]*lineSensScale);
      pg.translate(xx, 0, 0);
      pg.box(linethick, linethick, v[1]*lineSensScale * linethick);
      pg.popMatrix();

      //draw z, z of sensor is vertical to earth's surface
      //draw into z of screen which is line "into" screen
      pg.pushMatrix();
      pg.translate(0, 0, shiftZLine);
      pg.rotateX(rotZLine);
      pg.stroke(YCol);
      pg.fill(YCol);
//      pg.line(0, 0, xx, 0, v[2]*lineSensScale, xx);
      pg.translate(0, 0, xx);
      pg.box(linethick, v[2]*lineSensScale * linethick, linethick );
      pg.popMatrix();
      
  }  
}
