 //import processing.opengl.*;
import SMSlib.*;
//import hardcorepawn.fog.fog;
//import java.awt.event.*;
import DockTile.*;

dock pg;

//---------- constants -------------------

//cam spherical coords: r=radius, f = x,y-angle and q = z-angle
float r=50.0, f=HALF_PI/2, q=HALF_PI/2;

//starting cam coords in cart. space
float x=50.0,y=50.0,z=50.0;
//float rot_gain = 0.01;
//float zoom_gain = 1;

color XCol = color(255,0,0);
color YCol = color(0,255,0);
color ZCol = color(0,0,255);

float linethick = 1;
float axisthick = 0.2;

//storage for data points
int dataPoints = 250;
float[][] Histo = new float[dataPoints][3];
//current index
int Idx = 1;

float  zOffset = 1.031;    //adjust for earth's gravity at your location (should be around 1)


//size
int icon_size = 512;

//------------  functions  ---------------
void setup() {
  pg = (dock)createGraphics(icon_size,icon_size, dock.DOCK);
//  pg.setBadge("sms");
  frameRate(5);
  recalcCamCoords();
  pg.camera(x, y, z,  //coords
        0,0,0,    //lookat
        0,-1,0);  //up
  
 //and iconify the main window... hiding unfortunately does not work
  frame.setExtendedState(Frame.ICONIFIED);
  
}

void draw() {

  pg.beginDraw();

//  background(0,0,0,1.0);
  pg.background(0,0,0,1.0);
  
  
  drawGrid();
  
  //store new reading into histo array
   Histo[Idx] = sms.getSMSArray();
   //and adjust the offset
   Histo[Idx][2] = Histo[Idx][2] + zOffset;

  //draw graphs
  drawLineGraph();
  //put the current reading into the badge
//  pg.setBadge("x:" + Histo[Idx][0]);
  
  //and advance index
  Idx = (Idx+1) % dataPoints;
  

    pg.endDraw();

//  image(pg,0,0);
}


void recalcCamCoords(){
  //calc new cam coords
  x = r * sin(q) * cos(f);
  y = r * sin(q) * sin(f);
  z = r * cos(q);

}
